Subject: Re: [PATCH net-next 1/3] net: phy: add and use phy_check_downshift

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Mar 2020 14:04:29 +0100

> The only time that this helps is if PHY drivers implement reading a
> vendor register to report the actual link speed, and the PHY specific
> driver is used.

So maybe we either need to implement this reading of the vendor
register as a driver op, or we have a flag indicating the driver is
returning the real speed, not the negotiated speed?

	   Andrew